Hot News:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  CAD+T
  kurzbefehe im cadt

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   kurzbefehe im cadt (2351 mal gelesen)
Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

i5 prozessor mit W7

erstellt am: 13. Sep. 2006 16:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich habe ein kleines Problem. Ich möchte mir Kurzbefehle selber  programmieren.
Ich hab eine CAD+T 5.1 OEM  Version. Mein vorhaben währe wie z.B. das wenn ich „bli“ reintippe und dann Enter drücke das automatisch der Bemassungslayer eingestellt wird und der befehl Bemassung linear aufgerufen wird.

Ihr würdet mir sehr helfen.

Danke

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 14. Sep. 2006 09:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

da muss ich dich leider entäuschen das wird mit einem Kurzbefehl nicht gehen, zumindestens bei mir nicht da bei einer oem version die kurzbefehle ein wenig eingeschränkt sind und die schon vergeben sind wie ich mir abgeholfen hab das ich mir einen eigenen button gemacht hab der mir den layer wechselt oder du kannst auch zu dem bemassungsbutton das davor schreiben das er dir den layer vorher wechselt und dann der bemassungsbefehl kommt. dann ist jede bemassung auf dem layer.


mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 14. Sep. 2006 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke güni für di info aber eine frage hab ich noch. würde es bei einer voll version gehen??

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 14. Sep. 2006 10:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

so viel ich weiß schon, den da kannst dir dann auch eigene lisp befehle dazuschreiben. was mir auch gerade noch eingefallen ist, fals du rso hast könntest du dir den lispbefehl dafür mal in die rso-status schreiben und einen tastatur befehl dafür vergeben und hoffen das es geht.

aber ich glaub das es den preisunterschied rechtfertigt zwischen einer oem und einer autocad vollversion.

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 14. Sep. 2006 10:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

super danke nen rso hab ich 

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 14. Sep. 2006 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

dann einfach mal versuchen 

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 14. Sep. 2006 11:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

naja es ist net so einfach wie ich mir gedacht habe.

gibts da vielleicht einen tip??


------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 14. Sep. 2006 12:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

so jetzt hab ich was für dich

(defun c:name des kurzbefehl ( / ) (command "_-layer""_set""layername""")(princ))

das fügst du dir in die rsostatus.lsp ein am bessten unter dem befehl

(defun c:999 ...........

du musst halt beachten wenn du was änderst das die rsostatus nur bei einem programmneustart geladen wird und das der kuerzbefehl nicht vergeben ist.

dann müsste es funktionieren viel spass damit

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 14. Sep. 2006 18:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich habs es funktioniert super toll von dir das du mir geholfen hast.
eine frage hätt ich noch kann man auch befehle aufgliedern damit
wie z.b. beim abrunden das wenn ich r2 eingebe das er autpmatisch einen 2er radius einstellt.

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 14. Sep. 2006 18:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

weil ich mal nicht so sein will

(defun c:r2 ( / ) (command "abrunden" "_Radius" "2" "abrunden")(princ))

aber jetzt hast du mich auf eine idee gebracht

ich verwend da zwar immer ab (für abrunden) und dann r und dann den radius einstellen das geht auch relativ schnell das geht bei mir schon so automatisch das ich mir den radius fast immer einstelle und garnicht mehr schau was vorgegeben ist.

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 15. Sep. 2006 08:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

super toll esfunktioniert alles wie ich wollte. im rso nimmt er nur max 2 buchstaben für die kurzbefehle. und so wies bei mir ist glaub ich nicht das man sich das merken kan das z.B, bu ist bemaßungslayer und bmaßung linear aktualisieren usw. dan bin ich auf die idee gekommen das ich das in der gpg ändern werde.
und es geht. alles ohne probleme.

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 15. Sep. 2006 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

bei mir gehen aber mehr buschstaben auch hab zb. mal test als kurzbefehl hineingeschrieben.

ich arbeite eigentlich hauptsächlich mit den kurzbefehlen aus der .pgp datei und hab mir noch ein paar buttonsgemacht die mir gleich die bemassungsstiele einstellen und so dann kommt man auch mit wenig platz am bildschirm aus.

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andreas_80
Mitglied



Sehen Sie sich das Profil von Andreas_80 an!   Senden Sie eine Private Message an Andreas_80  Schreiben Sie einen Gästebucheintrag für Andreas_80

Beiträge: 58
Registriert: 12.09.2006

erstellt am: 15. Sep. 2006 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ich hab eigendlich nur mehr den bemstil, fürs layout den masstab und fürs mansfen 2 icons drausen ligen sonst nix.

dan hab ich noch ne frage. bei der 2004er version wahr es so das wenn man angenommen fürs kappen den 3ten punkt mit @0,0,10 angegeben hat und beim 2ten mal kappen die pfeil taste nach oben gedrückt hat
ist das @0,0,10 wieder gekommen das funktioniert bei der 2006er version nicht hast da eine idee das es auch bei der 2006er version funktioniert??

------------------
mfg

andi

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

güni
Mitglied



Sehen Sie sich das Profil von güni an!   Senden Sie eine Private Message an güni  Schreiben Sie einen Gästebucheintrag für güni

Beiträge: 460
Registriert: 16.02.2004

AutoCAD2007, MAX9, Photoshop CS, AfterEffect6.5

erstellt am: 15. Sep. 2006 09:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Andreas_80 10 Unities + Antwort hilfreich

puh hab mir das jetzt angesehen wusste garnicht das das nicht geht, ich werd mich mal schlau machen ob das funktioniert.

mfg. güni

------------------
www.concept-vision.at

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz